@echo off
::---------------------------------------------------------------------------
:: Dump TUI.EXE using DumpPe V2.20
::
:: Options:	-quiet			Suppress copyright string
::		-disasm			Rough disassembly
::		-disasm:start,length	-disasm:400DE,1FE
::		-disasm:+offset,length	-disasm:+DE,1FE
::		-disasm:!symbol		-disasm:!start
::		-reloc			Display base relocations
::		-checksum		Calculate Checksum
::		-resource		Display resource section
::		-nosym			Suppress symbolic output
::
:: NB in order for symbols to be used you must generate a debug exe.
::
:: For LINK 7.00:
::
::	set ASMOPT=/nologo /c /coff /Zi
::	set LNKOPT=/nologo /SUBSYSTEM:WINDOWS /DEBUG /MAP /OPT:REF
::
:: For LINK 5.12:
::
:: 	set ASMOPT=/nologo /c /coff /Zi
::	set LNKOPT=/nologo /SUBSYSTEM:WINDOWS /DEBUG:FULL /DEBUGTYPE:COFF
::---------------------------------------------------------------------------

echo	Dump Tui to TUI.DMP
echo.
echo	Requires TUI.EXE present.
echo.
echo	This works best with a debug build and the debug files in the same
echo	directory as TUI.EXE
echo.
pause

if exist tui.exe goto Dump
echo	TUI.EXE not found?
goto TheEnd

:Dump
set path=c:\masm32\bin
dumppe -quiet -disasm tui.exe > tui.dmp
echo.

:TheEnd
echo.
echo	Any key to exit
pause > nul

::---------------------------------------------------------------------------
